package com.fzm.common.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/5 15:58
 */
@Data
public class NftListVo {

    @ApiModelProperty("作品id")
    private Integer id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类别")
    private String category;

    @ApiModelProperty("主题,多个用逗号,隔开")
    private String theme;

    @ApiModelProperty("发行人账号")
    private String publisherAccount;

    @ApiModelProperty("发行人昵称")
    private String publisherNickname;

    @ApiModelProperty("nft发行时间")
    private Date publishTime;

    @ApiModelProperty("是否置顶  0-否 1-是")
    private Integer isTop;

    @ApiModelProperty("0-下架 1-上架")
    private Integer status;

    @ApiModelProperty("封面")
    private String cover;
}
