package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/6/28 11:49
 */
@AllArgsConstructor
@Getter
public enum AuthStatusEnum {

    NOT(0, "未认证"),
    SUCCESS(1, "认证成功"),
    FAIL(2, "认证失败"),
    ONGOING(3, "认证中"),
    ;
    private Integer status;

    private String desc;
}
