package com.fzm.portal;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;


@EnableSwagger2Doc
@EnableCaching
@SpringBootApplication(scanBasePackages = {"com.fzm.portal", "com.fzm.common"})
@MapperScan(value = "com.fzm.common.mapper")
public class JoyingPortalApplication {
    public static void main(String[] args) {
        SpringApplication.run(JoyingPortalApplication.class, args);
    }

}
